## ruby-spamcheck 0.1.0+git20210519.2084b44

=== debian/changelog ===
ruby-spamcheck (0.1.0+git20210519.2084b44-2) unstable; urgency=medium

  * Remove dependency on ruby-grpc (See #966653)

 -- Pirate Praveen <praveen@debian.org>  Sat, 12 Jun 2021 22:24:16 +0530

ruby-spamcheck (0.1.0+git20210519.2084b44-1) unstable; urgency=medium

  * Initial release (Closes: #989265)

 -- Pirate Praveen <praveen@debian.org>  Sun, 30 May 2021 23:49:41 +0530
