=== debian/control ===
Source: ruby-spamcheck
Section: contrib/ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 13),
               gem2deb (>= 1),
               ruby-grpc (>= 1.0),
               ruby-grpc-tools
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-spamcheck.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-spamcheck
Homepage: https://gitlab.com/gitlab-org/gl-security/engineering-and-research/automation-team/spam/spamcheck
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: ruby-spamcheck
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${misc:Depends},
# See #966653
#         ${ruby:Depends},
#         ruby-grpc,
         ${shlibs:Depends}
Description: Auto-generated gRPC client for SpamCheck
 This library allows connecting to spamcheck service using google rpc service.
 .
 Since regenerating these generated ruby files require updating some core
 golang modules, this package is uploaded to contrib with upstream provided
 *_pb.rb files.
