=== debian/changelog ===
ruby-spamcheck (1.0.0+git20220819.662e6bf-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.2, no changes needed.

  [ Pirate Praveen ]
  * Reupload to unstable
  * Add back ruby-grpc dependency (Closes: #966653)

 -- Pirate Praveen <praveen@debian.org>  Mon, 06 Feb 2023 17:07:42 +0100

ruby-spamcheck (1.0.0+git20220819.662e6bf-1) experimental; urgency=medium

  * Team upload.
  * Update d/watch
  * New upstream version 1.0.0+git20220819.662e6bf

 -- Vinay Keshava <vinaykeshava@disroot.org>  Sun, 09 Oct 2022 00:28:46 +0530
