=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
                gem2deb (>= 1),
-               ruby-grpc (>= 1.0),
+               ruby-grpc (>= 1.0~),
                ruby-grpc-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-spamcheck.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-spamcheck
 Homepage: https://gitlab.com/gitlab-org/gl-security/engineering-and-research/automation-team/spam/spamcheck
@@ -19,9 +19,7 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${misc:Depends},
-# See #966653
-#         ${ruby:Depends},
-#         ruby-grpc,
+         ${ruby:Depends},
          ${shlibs:Depends}
 Description: Auto-generated gRPC client for SpamCheck
  This library allows connecting to spamcheck service using google rpc service.
