=== debian/watch ===
version=4
opts=\
mode=git,pretty=1.0.0+git%cd.%h \
https://gitlab.com/gitlab-org/spamcheck HEAD debian
