## ruby-spamcheck 1.10.1

=== Makefile ===
--- 
+++ 
@@ -32,8 +32,9 @@
 		--grpc_out=${RUBY_PROTO_PATH} \
 		${SPAMCHECK_PROTO}
 
-gem: proto_ruby
-	bundle exec ruby _support/publish-gem
+gem: proto proto_ruby
+	gem build spamcheck.gemspec
+	./tests/gem/test.sh || (rm -f spamcheck*.gem && exit 1)
 
 lint: ${VENV} proto
 	 pipenv run pylint --rcfile=.pylintrc *.py app server
