=== debian/changelog ===
ruby-spamcheck (1.10.1-2) unstable; urgency=medium

  * Team upload.
  * Add patch to relax grpc-tools version requirement
  * generate ruby protobuf files (Closes: #1039950)
  * d/control :
      - Add ruby-bundler to Build-dep
      - Add libprotobuf-dev to build-dep

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 01 Jul 2023 16:37:10 +0530

ruby-spamcheck (1.10.1-1) unstable; urgency=medium

  * Update homepage and watch file for the new repo
  * New upstream version 1.10.1
  * Drop patch no longer needed (gemspec no longer use git)

 -- Pirate Praveen <praveen@debian.org>  Fri, 30 Jun 2023 02:13:23 +0530

ruby-spamcheck (1.4.1-2) unstable; urgency=medium

  * Reupload to unstable
  * Drop obsolete X{S,B}-Ruby-Versions fields

 -- Pirate Praveen <praveen@debian.org>  Thu, 29 Jun 2023 02:17:42 +0530

ruby-spamcheck (1.4.1-1) experimental; urgency=medium

  * Update homepage and watch to point to new location
  * New upstream version 1.4.1
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Thu, 04 May 2023 20:59:56 +0530
