=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               gem2deb (>= 1),
+               gem2deb (>= 2.1~),
                ruby-grpc (>= 1.0~),
-               ruby-grpc-tools
+               ruby-grpc-tools,
+               ruby-bundler,
+	       libprotobuf-dev
 Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-spamcheck.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-spamcheck
-Homepage: https://gitlab.com/gitlab-org/gl-security/engineering-and-research/automation-team/spam/spamcheck
+Homepage: https://gitlab.com/gitlab-org/gl-security/security-engineering/security-automation/spam/spamcheck
 Testsuite: autopkgtest-pkg-ruby
-XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
 Package: ruby-spamcheck
 Architecture: all
-XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${misc:Depends},
          ${ruby:Depends},
          ${shlibs:Depends}
