=== debian/rules ===
#!/usr/bin/make -f

export GEM2DEB_TEST_RUNNER = --check-dependencies
export DH_RUBY = --gem-install
export SPAMCHECK_PROTO_PATH = api/v1
export RUBY_PROTO_PATH = ruby/spamcheck



%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_build:
	rm Gemfile.lock
	RAILS_ENV=development BUNDLE_GEMFILE=Gemfile \
	bundle install --local
	RAILS_ENV=development BUNDLE_GEMFILE=Gemfile \
	bundle exec grpc_tools_ruby_protoc \
		--proto_path=${SPAMCHECK_PROTO_PATH} \
		--ruby_out=${RUBY_PROTO_PATH} \
		--grpc_out=${RUBY_PROTO_PATH} \
		${SPAMCHECK_PROTO_PATH}/*.proto
	dh_auto_build -O--buildsystem=ruby
