=== debian/watch ===
version=4
opts=\
filenamemangle=s/.*v(.*)\/.*/spamcheck-$1.tar.gz/ \
https://gitlab.com/gitlab-org/gl-security/security-engineering/security-automation/spam/spamcheck/-/tags .*/spamcheck-v(.*).tar.gz
